Name:		akonadi-googledata
Version:	1.0.1
Release:	1%{?dist}
Summary:	Google contacts and calendar akonadi resource

Group:		System Environment/Libraries
License:	LGPLv2
URL:		http://code.google.com/p/libgcal/
Source0:	http://libgcal.googlecode.com/files/akonadi-googledata-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	akonadi-devel, libgcal-devel, gettext, kdepimlibs-devel
Requires:	boost, akonadi

%global kde4_version %((kde4-config --version 2>/dev/null || echo "KDE 4.3.0") | grep ^KDE | cut -d' ' -f2)

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }


%description
Google contacts and calendar akonadi resource
=== what works ===

- contacts: retrieve/add/edit/delete/query-by-updates (i.e. fast-sync)
- calendar: retrieve/add/delete/query-by-updates (i.e. fast-sync)

Network proxy can be defined in KDE System Settings and the resource
will use it.

Passwords will be stored in KWallet, for while only 1 account is allowed
(I highly recommend to use it together with KWallet, because it makes
possible to query by updates automatically whenever akonadi/kde is
restarted *without* re-entering the account details).

For hosted accounts (i.e. joe.bar@whatever.com), 
just input the whole user id plus server
name in configuration dialog (i.e. joe.bar@whatever.com). 
For normal google accounts
(i.e. joe@gmail.com), just the username is required (i.e. joe).

=== Restrictions ===

Only the main calendar is supported, there are some missing fields
in contacts and recurrent events are not supported.

%prep
%setup -q


%build
%cmake

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
%find_lang akonadi_gcal_resource

%clean
rm -rf %{buildroot}


%files -f akonadi_gcal_resource.lang
%defattr(-,root,root,-)
%doc COPYING README ChangeLog
%{_kde4_bindir}/akonadi_*
%{_kde4_datadir}/akonadi

%changelog
* Mon Dec 28 2009 Thomas Janssen <thomasj@fedoraproject.org> 1.0.1-1
- Initial Fedora release
